Include version information in source archives built by jenkins (was: svn TAG for RSB Version 0.4 is
Description

- The svn tag for RSB version 0.4 is missing
- We should create one for this version

Related issues:
Related to Robotics Systems Types - Enhancement # 629: svn-based package version Rejected 11/17/2011 11/17/2011

History

#1 - 09/23/2011 03:16 PM - J. Wienke
- Status changed from New to Feedback

| am not sure that we should use tags at all. This will only lead to people using old versions of the software without recent bug fixes from the branch.

Why do you need it?

#2 - 09/29/2011 01:23 PM - J. Wienke

ping

#3 - 09/29/2011 01:27 PM - S. Wrede

Tags can be useful for referencing a single specific release version. In my opinion this is more for archiving purposes than for any other reason.

If we don't have tags, people would need to refer to a single revision directly.

#4 - 09/29/2011 01:34 PM - J. Wienke

Actually we never released a tar ball with version 0.4.

#5 - 09/29/2011 01:51 PM - S. Wrede
- Target version changed from 0.4 to 0.5

Sure, but isn't the underlying question if we want tags at all, e.g. for 0.5?

#6 - 09/30/2011 01:34 PM - J. Moringen
- No tags (since no file releases in Redmine)
- File releases via Jenkins jobs for version branches (continuously rebuild)

- Source archives should contain some kind of version tag file (maybe via svn:keywords on checkout)

#7 - 09/30/2011 01:35 PM - J. Moringen

- Subject changed from svn TAG for RSB Version 0.4 is missing to Include version information in source archives built by jenkins (was: svn TAG for
RSB Version 0.4 is missing)

- Status changed from Feedback to New

#8 - 10/20/2011 04:03 PM - J. Wienke

- Target version deleted (0.5)

As we do not know how to do this in every case, we will remove the version from this issue.

#9 - 01/29/2013 03:37 PM - J. Wienke

- Status changed from New to Rejected

I don't think this is still of any relevance. Reopen if required.
